<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>Sign Up</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<!-- BOOTSTRAP META -->
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>Active Users</title>

<!-- BASIC CSS -->
<link rel="stylesheet" href="/css/basic.css">

<!-- BOOTSTRAP CSS -->
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
	integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
	crossorigin="anonymous">
<link rel="icon" type="image/png" href="/images/favicon-32x32.png">

</head>
<body>
	<!-- ------------------- -->
	<!-- NAVIGATION -------- -->
	<!-- ------------------- -->

	<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
		<a href="/"><img id="logo" class="navbar-brand" height="80px"
			src="/images/SimpleBookLogo.png"></a>
		<button class="navbar-toggler" data-toggle="collapse"
			data-target="#navbarMenu">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarMenu">
			<a href="/userlogin" class="btn btn-primary btn-lg active ml-auto"
				role="button" aria-pressed="true">Sign In</a>
		</div>

	</nav>

	<form id="FormBorder" action="#" th:action="${postAction}"
		method="post" th:object="${userDetail}">
		<h1>Create a new account</h1>
		<br>
		<p
			th:class="${loginHint eq 'true' ? 'show-loginHint' : 'hide-loginHint'}">User
			with this email already exists</p>

		<input type="hidden" name="userDetail.id" th:value="*{id}" />

		<div class="form-group">
			<label>Surname:</label> <input type="text" class="form-control"
				id="exampleInputSurname" placeholder="surname"
				name="userDetail.firstname" th:value="*{firstname}" required />
		</div>

		<div class="form-group">
			<label>Last name:</label> <input type="text" class="form-control"
				id="exampleInputLastname" placeholder="last name"
				name="userDetail.lastname" th:value="*{lastname}" required />
		</div>

		<div class="form-group">
			<label>E-mail:</label> <input type="email" class="form-control"
				id="exampleInputEmail1" placeholder="email"
				name="userDetail.email" th:value="*{email}" required />
		</div>

		<div class="form-group">
			<label>Password:</label> <input type="password" class="form-control"
				id="exampleInputPassword1" placeholder="password"
				name="userDetail.pw" th:value="*{pw}" required />
		</div>

		<div class="form-group">
			<label>Bio:</label>
			<textarea class="form-control" placeholder="Something about you"
				id="exampleFormControlTextarea1" rows="3" name="userDetail.bio"
				th:value="*{bio}" /></textarea>
		</div>

		<button type="submit" class="btn btn-primary">Submit</button>

	</form>


	<!-- 	Bootstrap js -->
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
		integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
		integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
		crossorigin="anonymous"></script>
	<script
		src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
		integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
		crossorigin="anonymous"></script>
</body>
</html>